function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = ma.static_g1_tt(T, y, x, params);
end
g1 = zeros(31, 31);
g1(1,2)=(-((-y(6))/(y(2)*y(2))));
g1(1,3)=getPowerDeriv(y(3),params(1),1);
g1(1,6)=(-T(1));
g1(2,2)=((1-y(12))*y(9)*(1-params(8))+params(8)*y(9)*(1-y(13)))*(-1)/(y(2)*y(2));
g1(2,9)=T(1)*((1-y(12))*(1-params(8))+params(8)*(1-y(13)));
g1(2,12)=T(1)*(1-params(8))*(-y(9));
g1(2,13)=T(1)*params(8)*(-y(9));
g1(2,14)=1-params(2)*(1-params(7));
g1(3,2)=(-1)/(y(2)*y(2));
g1(3,10)=y(14);
g1(3,14)=y(10);
g1(4,2)=(-((-((1-params(9))*(1-params(11))*y(11)+params(9)*y(11)*(1-params(12))))/(y(2)*y(2))));
g1(4,5)=T(4)*1.5*y(5)^0.5;
g1(4,11)=(-(((1-params(9))*(1-params(11))+params(9)*(1-params(12)))/y(2)));
g1(4,17)=T(5)*T(3)*T(2)*(-(2.5*(1-y(17))^1.5));
g1(5,4)=1-(1-params(7));
g1(5,8)=(-y(10));
g1(5,10)=(-y(8));
g1(6,1)=1;
g1(6,2)=(-1);
g1(6,8)=(-1);
g1(6,15)=(-1);
g1(6,16)=(-1);
g1(7,1)=1;
g1(7,3)=(-(T(8)*y(7)*T(6)*T(31)/y(18)));
g1(7,4)=(-(T(8)*T(7)*y(7)*T(32)/y(18)));
g1(7,5)=(-(y(7)*T(6)*T(7)*((1-params(9))*y(19)+params(9)*y(20))*T(33)/y(18)));
g1(7,7)=(-(T(8)*T(6)*T(7)/y(18)));
g1(7,18)=(-((-(y(7)*T(6)*T(7)*T(8)))/(y(18)*y(18))));
g1(7,19)=(-(y(7)*T(6)*T(7)*(1-params(9))*y(5)*T(33)/y(18)));
g1(7,20)=(-(y(7)*T(6)*T(7)*params(9)*y(5)*T(33)/y(18)));
g1(8,5)=(-((1-params(9))*params(10)*5*(y(17)+(1-y(17))*log(1-y(17)))));
g1(8,16)=1;
g1(8,17)=(-(y(5)*(1-params(9))*params(10)*5*(-log(1-y(17)))));
g1(9,17)=(-((-5)*(-1)/(1-y(17))));
g1(10,6)=(-(T(11)*T(10)*getPowerDeriv(y(6),params(4),1)/T(17)));
g1(10,7)=(-((-(T(12)*T(16)*T(15)*T(13)*T(14)))/(T(17)*T(17))));
g1(10,9)=(-(T(11)*T(9)*getPowerDeriv(y(9),params(3),1)/T(17)));
g1(10,11)=(-(T(9)*T(10)*getPowerDeriv(y(11),1-params(3)-params(4),1)/T(17)));
g1(10,19)=(-((-(T(12)*T(16)*y(7)*T(13)*T(14)*(1-params(9))*T(39)))/(T(17)*T(17))));
g1(10,20)=(-((-(T(12)*T(16)*y(7)*T(13)*T(14)*params(9)*T(39)))/(T(17)*T(17))));
g1(10,26)=1;
g1(11,5)=(-((1-params(9))*(1-y(17))*params(10)));
g1(11,17)=(-(y(5)*(1-params(9))*(-params(10))));
g1(11,25)=1;
g1(12,5)=(-(y(21)*(1-params(9))*getPowerDeriv((1-params(9))*y(5),params(6),1)));
g1(12,19)=1;
g1(12,21)=(-T(18));
g1(13,5)=(-(y(22)*params(9)*getPowerDeriv(params(9)*y(5),params(6),1)));
g1(13,20)=1;
g1(13,22)=(-T(19));
g1(14,3)=(-(T(8)*T(6)*y(7)*params(4)*getPowerDeriv(y(3),params(4)-1,1)));
g1(14,4)=(-(T(8)*T(20)*y(7)*params(4)*T(32)));
g1(14,5)=(-(T(6)*y(7)*params(4)*T(20)*((1-params(9))*y(19)+params(9)*y(20))*T(33)));
g1(14,6)=1;
g1(14,7)=(-(T(8)*T(20)*T(6)*params(4)));
g1(14,19)=(-(T(6)*y(7)*params(4)*T(20)*(1-params(9))*y(5)*T(33)));
g1(14,20)=(-(T(6)*y(7)*params(4)*T(20)*params(9)*y(5)*T(33)));
g1(15,3)=(-(T(8)*T(22)*T(31)));
g1(15,4)=(-(T(8)*T(7)*y(7)*params(3)*getPowerDeriv(y(4),params(3)-1,1)));
g1(15,5)=(-(T(7)*T(22)*((1-params(9))*y(19)+params(9)*y(20))*T(33)));
g1(15,7)=(-(T(8)*T(7)*params(3)*T(21)));
g1(15,9)=1;
g1(15,19)=(-(T(7)*T(22)*(1-params(9))*y(5)*T(33)));
g1(15,20)=(-(T(7)*T(22)*params(9)*y(5)*T(33)));
g1(16,3)=(-(T(26)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(31)/y(5)));
g1(16,4)=(-(T(26)*T(7)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(32)/y(5)));
g1(16,5)=(-((y(5)*T(7)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*(y(21)*(1-params(9))*getPowerDeriv((1-params(9))*y(5),1+params(6),1)+y(22)*params(9)*getPowerDeriv(params(9)*y(5),1+params(6),1))*T(34)-T(7)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(26))/(y(5)*y(5))));
g1(16,7)=(-(T(26)*T(7)*T(6)*(1-params(3)-params(4))*(1+params(6))/y(5)));
g1(16,11)=1;
g1(16,21)=(-(T(7)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(23)*T(34)/y(5)));
g1(16,22)=(-(T(7)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(24)*T(34)/y(5)));
g1(17,27)=params(13)-1;
g1(17,28)=(-params(13));
g1(18,1)=(-(T(27)/y(2)));
g1(18,2)=(-((-(y(1)*T(27)))/(y(2)*y(2))));
g1(18,24)=(-(params(2)*params(14)*y(27)*T(41)));
g1(18,27)=1-params(2)*params(14)*T(28);
g1(18,29)=(-(y(1)*getPowerDeriv(y(29),params(13)-1,1)/y(2)));
g1(19,1)=(-(y(26)*T(29)/y(2)));
g1(19,2)=(-((-(y(1)*y(26)*T(29)))/(y(2)*y(2))));
g1(19,24)=(-(params(2)*params(14)*y(28)*T(42)));
g1(19,26)=(-(y(1)*T(29)/y(2)));
g1(19,28)=1-params(2)*params(14)*T(30);
g1(19,29)=(-(y(1)*y(26)*T(43)/y(2)));
g1(20,18)=1-params(14)*T(30);
g1(20,24)=(-(y(18)*params(14)*T(42)));
g1(20,29)=(-((1-params(14))*T(43)));
g1(21,24)=(-(params(14)*T(41)));
g1(21,29)=(-((1-params(14))*getPowerDeriv(y(29),1-params(13),1)));
g1(22,15)=(-1);
g1(22,30)=1;
g1(22,31)=(-1);
g1(23,4)=(-((1-params(8))*y(12)*y(9)+params(8)*y(9)*y(13)));
g1(23,5)=(-((1-params(9))*params(11)*y(11)+params(9)*y(11)*params(12)));
g1(23,9)=(-(y(4)*y(12)*(1-params(8))+y(4)*params(8)*y(13)));
g1(23,11)=(-(y(5)*(1-params(9))*params(11)+y(5)*params(9)*params(12)));
g1(23,12)=(-(y(4)*y(9)*(1-params(8))));
g1(23,13)=(-(y(4)*y(9)*params(8)));
g1(23,30)=1;
g1(24,23)=1;
g1(25,7)=1/y(7)-params(15)*1/y(7);
g1(26,15)=T(38)-params(18)*T(38);
g1(27,21)=1/y(21)-params(16)*1/y(21);
g1(28,22)=T(40)-params(17)*T(40);
g1(29,12)=T(36)-params(19)*T(36);
g1(30,13)=T(37)-params(20)*T(37);
g1(31,10)=T(35)-params(21)*T(35);
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
