function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 30);

T(1) = 1/y(2);
T(2) = params(10)^2.5;
T(3) = (1-params(9))^2.5;
T(4) = (1-y(17))^2.5*T(2)*T(3);
T(5) = y(5)^1.5;
T(6) = y(4)^params(3);
T(7) = y(3)^params(4);
T(8) = (y(5)*(1-params(9))*y(19)+y(5)*params(9)*y(20))^(1-params(3)-params(4));
T(9) = y(6)^params(4);
T(10) = y(9)^params(3);
T(11) = y(11)^(1-params(3)-params(4));
T(12) = T(9)*T(10)*T(11);
T(13) = params(3)^params(3);
T(14) = params(4)^params(4);
T(15) = ((1-params(9))*y(19)+params(9)*y(20))^(1-params(3)-params(4));
T(16) = (1-params(3)-params(4))^(1-params(3)-params(4));
T(17) = y(7)*T(13)*T(14)*T(15)*T(16);
T(18) = ((1-params(9))*y(5))^params(6);
T(19) = (params(9)*y(5))^params(6);
T(20) = y(3)^(params(4)-1);
T(21) = y(4)^(params(3)-1);
T(22) = y(7)*params(3)*T(21);
T(23) = ((1-params(9))*y(5))^(1+params(6));
T(24) = (params(9)*y(5))^(1+params(6));
T(25) = y(21)*T(23)+y(22)*T(24);
T(26) = T(25)^(1-params(3)-params(4));
T(27) = y(29)^(params(13)-1);
T(28) = y(24)^(params(13)-1);
T(29) = y(29)^(-params(13));
T(30) = y(24)^params(13);

end
