function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 45);

T = mc.static_resid_tt(T, y, x, params);

T(31) = getPowerDeriv(y(3),params(4),1);
T(32) = getPowerDeriv(y(4),params(3),1);
T(33) = getPowerDeriv(y(5)*(1-params(9))*y(20)+y(5)*params(9)*y(21),1-params(3)-params(4),1);
T(34) = getPowerDeriv(T(25),1-params(3)-params(4),1);
T(35) = 1.136363636363636/(y(10)/0.88);
T(36) = getPowerDeriv(y(11)+(1-params(9))*params(10)*(1-y(18))*y(24),1-params(3)-params(4),1);
T(37) = 3.597122302158273/(y(12)/0.278);
T(38) = 5.555555555555555/(y(13)/0.18);
T(39) = 4.637891733148139/(y(14)/0.21561521);
T(40) = 10/(y(16)/0.1);
T(41) = getPowerDeriv((1-params(9))*y(20)+params(9)*y(21),1-params(3)-params(4),1);
T(42) = 0.6666666666666666/(y(23)/1.5);
T(43) = getPowerDeriv(y(25),params(13)-1,1);
T(44) = getPowerDeriv(y(25),params(13),1);
T(45) = getPowerDeriv(y(30),(-params(13)),1);

end
